function name:
pow(x,y)

exceptional values:
fx = 0.0;
fy = 0.0;
fxx = 0.0;
fxy = 0.0;
fyy = 0.0;

template:
{
##  /* Open brace must be first */
#ifdef FVAL
      z = pow(x,y);
#endif
#finish FVAL
      if ( x != 0.0) { /*pow*/
         if ( x < 0.0 ) {
##          /* should only set fy, fxy, fyy */
##          /* Note that this happens because fx, fxx are set later! */
            EXCEPTION_HANDLER();
         }
         else {
            fy = pow(x,y) * log(x);
            fxy = pow(x,(y-1.0)) * (y * log(x) + 1.0 );
            fyy = fyy = log(x) * log(x) * pow(x, y);
         }
         z = pow(x,y);
         fx = y * pow(x,(y-1.0));
         fxx = y * (y-1.0) * pow(x,(y-2.0));
      }
      else {
           z = pow(x,y);
##         /* Definitely want to set fy, fxy, fyy. */
##         /* May want to set fx, fxx, as you can see from test. */
           EXCEPTION_HANDLER();

           if ( y >= 1 ) {
                fx = 0.0;
#ifdef SECOND
                if ( y >= 2 ) {
                     fxx = 0.0;
                }
#endif /* SECOND */
           }
      }
}
