#line 453 "adic/run-map.w"
#if !defined(RUN_MAP_H)
#define RUN_MAP_H

    





#line 457 "adic/run-map.w"
    
#line 98 "adic/run-map.w"
    static int desc_size = 0;
    static int entry_size = 0;
    static int bucket_size = 0;
    static int entries_per_bucket = 0;
    static int buckets_per_block = 0;
    static int map_size = 0;



#line 108 "adic/run-map.w"
#   define DEFAULT_MAP_SIZE		1000
#   define DEFAULT_BUCKET_SIZE		10
#   define DEFAULT_BUCKETS_PER_BLOCK	100
    typedef struct {
        void* key;
        double val[1];
    } Pair;
    typedef struct {
        Pair* cache;
        Pair* next;
    } MapEntry;
    static MapEntry* map = 0;

    typedef struct genlist {
        struct genlist *next;
        double data[1];
    } genlist_t;
    static genlist_t* freeList;
    static genlist_t* blockList;
    static genlist_t* curBlock;

    typedef struct {
        int isSingle;
        double* base;
        double* top;
        void* desc;
    } ArrayEntry;
    static ArrayEntry	array;


#line 160 "adic/run-map.w"
    void* ad_map_init(int dsize, int msize, int bsize, int asize);

#line 214 "adic/run-map.w"
    void ad_map_cleanup();

#line 241 "adic/run-map.w"
    void* ad_map_reg_array_d(double* base, int size);

#line 256 "adic/run-map.w"
    void* ad_map_reg_array_s(float* base, int size);

#line 283 "adic/run-map.w"
    void* ad_map_get(void* key);

#line 359 "adic/run-map.w"
    static void* ad_map_alloc_bucket();

#line 402 "adic/run-map.w"
   void* ad_map_free_bucket(void* ptr);


#line 428 "adic/run-map.w"
void* ad_map_free(void* key);


#line 459 "adic/run-map.w"
#endif /*RUN_MAP_H*/


