#include <malloc.h>
#include <stdlib.h>
#include <stdio.h>

#define POOL_SIZE_X 40
#define POOL_TYPE_X char
#define POOL_SIZE POOL_SIZE_X * sizeof(POOL_TYPE_X)

struct mempool_struct;
typedef struct mempool_struct mempool;

struct mempool_struct {
  POOL_TYPE_X pool[POOL_SIZE_X];
  void *freelist;
  int size;
  mempool *next;
};

int mp_init(mempool *mp, int size);
void *mp_alloc(mempool *mp);
void **mp_allocn(mempool *mp, int n, void **diarray);
void mp_free(mempool *mp, void *ptr);
void mp_freen(mempool *mp, int n, void **diarray);
void mp_dumpfree(FILE *fstream, mempool *mp);
void mp_destroy(mempool *mp);
