=head1 NAME

TemplateFile - store all data for an ADIntrinsics-C template file

=head1 SYNOPSIS

    use TemplateFile;

=head1 BUGS

No man page.

=cut

package TemplateFile;

$FUNCTION_NAME = 0;
$NUMBER_OF_ARGUMENTS = 1;
$FUNCTION_SECTION = 2;
$EXCEPTIONAL_VALUES = 3 ;
$EXCEPTIONAL_CODE = 4;
$TEMPLATE_CODE = 5;

sub new {
    my $type = shift;
    my $function = shift;
    my $number_of_arguments = shift;
    my $sec_function = shift;
    my $sec_exceptional_values = shift;
    my $sec_exceptional_code = shift;
    my $sec_template = shift;

    my $self = [$function, $number_of_arguments,
		$sec_function, $sec_exceptional_values,
		$sec_exceptional_code, $sec_template];

    bless $self, $type;
}

sub FunctionName {
    my $self = shift;
    return $self->[$FUNCTION_NAME];
}

sub NumberOfArguments {
    my $self = shift;
    return $self->[$NUMBER_OF_ARGUMENTS];
}

sub HasExceptionalCode {
    my $self = shift;

    return 0;

#    if ( defined(@{$self->[$EXCEPTIONAL_CODE]})
#	&& ($#{$self->[$EXCEPTIONAL_CODE]} != -1 ))
#    {
#	return 1;
#    } else {
#	return 0;
#    }
}

sub ExceptionalValues {
    my $self = shift;
    return @{$self->[$EXCEPTIONAL_VALUES]};
}

sub ExceptionalCode {
    my $self = shift;
#    return @{$self->[$EXCEPTIONAL_CODE]};
    return undef;
}

sub TemplateCode {
    my $self = shift;
    return @{$self->[$TEMPLATE_CODE]};
}


1;

